Search by UAN
Introduction
This API allows users to search for organization details using the UAN(Udhyog Aadhaar Number).
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the udhyog aadhaar number in the request body and access token received from login in the respective authorization header.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/...patronId.../udyogaadhaars' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '{
"type": "uam",
"essentials": {
"uamNumber": "...uamNumber..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
type | Type of the task - "uam" |
essentials | Contains the essential input data |
essentials.uamNumber | The UAN number details to be searched for |
Sample Response
{
"type": "uam",
"essentials": {
"uamNumber": "MH26E0014851"
},
"id": "...id...",
"patronId": "...patronId...",
"result": {
"uamNumber": "...uamNumber...",
"nameofEnterprise": "...nameofEnterprise...",
"majorActivity": "...majorActivity...",
"socialCategory": "...socialCategory...",
"enterpriseType": "...enterpriseType...",
"dateofCommencement": "...dateofCommencement...",
"dicName": "...dicName...",
"state": "...state...",
"appliedDate": "...appliedDate...",
"modifiedDate": "...modifiedDate...",
"validTillDate": "...validTillDate...",
"nic2Digit": "...nic2Digit...",
"nic4Digit": "...nic4Digit...",
"nic5DigitCode": "...nic5DigitCode...",
"status": "...status..."
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
type | Type of the task - "uam" |
essentials | Contains "essentials" key of the request body |
essentials.uamNumber | The UAN number details to be searched for |
id | Unique id of user |
patronId | Unique patronId of user |
result | The resulting json object containing search results |
result.uamNumber | UAN number |
result.nameofEnterprise | Name of the enterprise |
result.majorActivity | Major activity |
result.socialCategory | Social Category |
result.enterpriseType | Type of enterprise |
result.dateofCommencement | Commencement date |
result.dicName | Dic name |
result.state | State |
result.appliedDate | Applied date |
result.modifiedDate | Modified date |
result.validTillDate | Valid till date |
result.nic2Digit | Nic 2 digit |
result.nic4Digit | Nic 4 digit |
result.nic5DigitCode | Nic 5 digit code |
result.status | status |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Data Not Found |
409 | Error in getting Data from Upstream |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].